import { useEquipmentStore } from "@/stores/admin/unit/equipment/equipment";
import { useEquipmentDamageReportStore } from "../../stores/admin/unit/equipment/damageReport";
import { useEquipmentInspectionStore } from "../../stores/admin/unit/equipment/inspection";

export async function setEquipmentId(to: any, from: any, next: any) {
  const equipmentStore = useEquipmentStore();
  equipmentStore.activeEquipment = to.params?.equipmentId ?? null;

  useEquipmentDamageReportStore().$reset();
  useEquipmentInspectionStore().$reset();

  next();
}

export async function resetEquipmentStores(to: any, from: any, next: any) {
  const equipmentStore = useEquipmentStore();
  equipmentStore.activeEquipment = null;
  equipmentStore.activeEquipmentObj = null;

  useEquipmentDamageReportStore().$reset();
  useEquipmentInspectionStore().$reset();

  next();
}
