import { useWearableStore } from "@/stores/admin/unit/wearable/wearable";
import { useWearableDamageReportStore } from "../../stores/admin/unit/wearable/damageReport";
import { useWearableTypeInspectionPlanStore } from "../../stores/admin/unit/wearableType/inspectionPlan";

export async function setWearableId(to: any, from: any, next: any) {
  const wearableStore = useWearableStore();
  wearableStore.activeWearable = to.params?.wearableId ?? null;

  useWearableDamageReportStore().$reset();
  useWearableTypeInspectionPlanStore().$reset();

  next();
}

export async function resetWearableStores(to: any, from: any, next: any) {
  const wearableStore = useWearableStore();
  wearableStore.activeWearable = null;
  wearableStore.activeWearableObj = null;

  useWearableDamageReportStore().$reset();
  useWearableTypeInspectionPlanStore().$reset();

  next();
}
